#include <QApplication>
#include <QPushButton>
#include <QPointer>
#include <QTextCodec>
#include <QLineEdit>
#include <QVBoxLayout>
#include <QLocale>
#include <QTranslator>
#include <iostream>
#include "hello.hpp"

int main(int argc, char* argv[]) {
	QApplication app(argc, argv);
	QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
	QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
	
	std::cout << QLocale::system().name().toStdString() << std::endl;
	
	QTranslator translator;
    translator.load("qtbsp_" + QLocale::system().name());
    app.installTranslator(&translator);

	Hello h;
	
	return app.exec();
}
